Substy Developers
Creator connections

Connect creator account

Connect a creator account using the supported platform credentials. The result reports connection progress and any required verification step; it never returns stored connection secrets.

POST/v1/agencies/{agencyId}/creator-connections

Connect a creator account using the supported platform credentials. The result reports connection progress and any required verification step; it never returns stored connection secrets.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agencies/string/creator-connections" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "email": "[email protected]",    "password": "string",    "platform": "ONLYFANS"  }'
{  "data": {    "creatorId": "string",    "requires2fa": true,    "twoFaState": null  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}